/*******************************************************************************
* File Name: SCBUART_tx.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SCBUART_tx_H) /* Pins SCBUART_tx_H */
#define CY_PINS_SCBUART_tx_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SCBUART_tx_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SCBUART_tx_Write(uint8 value) ;
void    SCBUART_tx_SetDriveMode(uint8 mode) ;
uint8   SCBUART_tx_ReadDataReg(void) ;
uint8   SCBUART_tx_Read(void) ;
uint8   SCBUART_tx_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SCBUART_tx_DRIVE_MODE_BITS        (3)
#define SCBUART_tx_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SCBUART_tx_DRIVE_MODE_BITS))
#define SCBUART_tx_DRIVE_MODE_SHIFT       (0x00u)
#define SCBUART_tx_DRIVE_MODE_MASK        (0x07u << SCBUART_tx_DRIVE_MODE_SHIFT)

#define SCBUART_tx_DM_ALG_HIZ         (0x00u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_DIG_HIZ         (0x01u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_RES_UP          (0x02u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_RES_DWN         (0x03u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_OD_LO           (0x04u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_OD_HI           (0x05u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_STRONG          (0x06u << SCBUART_tx_DRIVE_MODE_SHIFT)
#define SCBUART_tx_DM_RES_UPDWN       (0x07u << SCBUART_tx_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SCBUART_tx_MASK               SCBUART_tx__MASK
#define SCBUART_tx_SHIFT              SCBUART_tx__SHIFT
#define SCBUART_tx_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SCBUART_tx_PS                     (* (reg32 *) SCBUART_tx__PS)
/* Port Configuration */
#define SCBUART_tx_PC                     (* (reg32 *) SCBUART_tx__PC)
/* Data Register */
#define SCBUART_tx_DR                     (* (reg32 *) SCBUART_tx__DR)
/* Input Buffer Disable Override */
#define SCBUART_tx_INP_DIS                (* (reg32 *) SCBUART_tx__PC2)


#if defined(SCBUART_tx__INTSTAT)  /* Interrupt Registers */

    #define SCBUART_tx_INTSTAT                (* (reg32 *) SCBUART_tx__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SCBUART_tx_H */


/* [] END OF FILE */
