/*******************************************************************************
* File Name: isrPinSW.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrPinSW_H)
#define CY_ISR_isrPinSW_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrPinSW_Start(void);
void isrPinSW_StartEx(cyisraddress address);
void isrPinSW_Stop(void);

CY_ISR_PROTO(isrPinSW_Interrupt);

void isrPinSW_SetVector(cyisraddress address);
cyisraddress isrPinSW_GetVector(void);

void isrPinSW_SetPriority(uint8 priority);
uint8 isrPinSW_GetPriority(void);

void isrPinSW_Enable(void);
uint8 isrPinSW_GetState(void);
void isrPinSW_Disable(void);

void isrPinSW_SetPending(void);
void isrPinSW_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrPinSW ISR. */
#define isrPinSW_INTC_VECTOR            ((reg32 *) isrPinSW__INTC_VECT)

/* Address of the isrPinSW ISR priority. */
#define isrPinSW_INTC_PRIOR             ((reg32 *) isrPinSW__INTC_PRIOR_REG)

/* Priority of the isrPinSW interrupt. */
#define isrPinSW_INTC_PRIOR_NUMBER      isrPinSW__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrPinSW interrupt. */
#define isrPinSW_INTC_SET_EN            ((reg32 *) isrPinSW__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrPinSW interrupt. */
#define isrPinSW_INTC_CLR_EN            ((reg32 *) isrPinSW__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrPinSW interrupt state to pending. */
#define isrPinSW_INTC_SET_PD            ((reg32 *) isrPinSW__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrPinSW interrupt. */
#define isrPinSW_INTC_CLR_PD            ((reg32 *) isrPinSW__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrPinSW_H */


/* [] END OF FILE */
